CAN_RXF0S_Type Union Reference

## Data Fields

struct {
uint32_t F0FL:7
uint32_t __pad0__:1
uint32_t F0GI:6
uint32_t __pad1__:2
uint32_t F0PI:6
uint32_t __pad2__:2
uint32_t F0F:1
uint32_t RF0L:1
uint32_t __pad3__:6
} | bit
uint32_t | reg

## Detailed Description

Definition at line 1277 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_RXF0S_Type::__pad0__

bit: 7 Reserved

Definition at line 1280 of file can.h.

## __pad1__

uint32_t CAN_RXF0S_Type::__pad1__

bit: 14..15 Reserved

Definition at line 1282 of file can.h.

## __pad2__

uint32_t CAN_RXF0S_Type::__pad2__

bit: 22..23 Reserved

Definition at line 1284 of file can.h.

## __pad3__

uint32_t CAN_RXF0S_Type::__pad3__

bit: 26..31 Reserved

Definition at line 1287 of file can.h.

## bit

struct { ... } CAN_RXF0S_Type::bit

Structure used for bit access

## F0F

uint32_t CAN_RXF0S_Type::F0F

bit: 24 Rx FIFO 0 Full

Definition at line 1285 of file can.h.

## F0FL

uint32_t CAN_RXF0S_Type::F0FL

bit: 0.. 6 Rx FIFO 0 Fill Level

Definition at line 1279 of file can.h.

## F0GI

uint32_t CAN_RXF0S_Type::F0GI

bit: 8..13 Rx FIFO 0 Get Index

Definition at line 1281 of file can.h.

## F0PI

uint32_t CAN_RXF0S_Type::F0PI

bit: 16..21 Rx FIFO 0 Put Index

Definition at line 1283 of file can.h.

## reg

uint32_t CAN_RXF0S_Type::reg

Type used for register access

Definition at line 1289 of file can.h.

## RF0L

uint32_t CAN_RXF0S_Type::RF0L

bit: 25 Rx FIFO 0 Message Lost

Definition at line 1286 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h